FckEditor Настройка

Аватар пользователя Elodia Elodia 16 апреля 2008 в 18:14

Начала делать новый сайт и столкнулась с такой проблемой.
Не помню наотрез как настраивать fckeditor чтобы он начал работать. Раньше ставила - но как - неизвестно!!!
Скачала 6ю версию, все установила с плагинами, включила, настроила права... и... ничего не появляется. Только под полем body во всех типах публикации появляется вот такой текст приблизительно:

The ID for excluding or including this element is: edit-body - the path is: node/add/page

Ну я естественно пыталась это прописывать в соответствующих полях настройки модуля для Админа, выбирала пункт include. Но это мне не помогает

Подскажите, пожалуйста что делать! Очень нужен модуль!!!

Комментарии

Аватар пользователя Dzmitry Paulenka Dzmitry Paulenka 24 октября 2008 в 21:57

Зайдите в настройки FCKeditor: /admin/settings/fckeditor
И в настройках видимости "Visibility settings" проверьте в поля "Fields to exclude/include" и "Paths to exclude/include" в этих полях не должно быть edit-body (для полей) и node/add/page (для путей).
Также не должно быть что-то вроде edit-* или node/*

После того, как вы измените список запрещенных (или наоборот, разрешенных) полей и путей, наверняка редактор появится там где нужно и не будет появляться там, где не нужно.

Аватар пользователя Dzmitry Paulenka Dzmitry Paulenka 25 октября 2008 в 2:21

З.Ы. Я только что сам разбираюсь с этой проблемой. Действительно, ничего не появляется, перепроверил все много раз.

Выяснил причину - слишком новая версия FCKeditor 2.6.3 Друпал, который стоит на сайте имеет версию 5.7 и редактор слишком новый для него.
Взял более старую версию модуля - fckeditor-5.x-2.2-rc1.tar.gz вместо fckeditor-5.x-2.2-rc3.tar.gz и более старую версию самого FCKeditor - FCKeditor_2.5.1.zip вместо FCKeditor_2.6.3.zip

Теперь все работает и появляется!
Да... новое не всегда лучше.

Аватар пользователя psyxoz psyxoz 4 декабря 2008 в 14:48

версия FCKeditor 2.6.3 даже под 6м друпалом не корректно работает - редактор пропадает

Аватар пользователя kto-to kto-to 13 октября 2009 в 19:00

такая же проблемма как и у ТС
подскажите, есть ли решение проблеммы: Drupal 6.14 + FCKeditor 2.6.5 со старыми версиями друпала работает проверенно на 6.9
что делать?

Аватар пользователя popovich popovich 1 июня 2010 в 20:34

Помогите, тоже не отображается. Ставил знакомому пару месяцев назад, всё заработало. Щас делал всё по той же инструкции. Ставил более старую версию эдитора, ничё не помогает.
Делал следущее: качал эдитор-модуль, кидал как и у знакомого, в него потом копировал сам эдитор.
Включил его в модулях. Ничего.
Сравнивал настройки ?q=admin/settings/fckeditor всё совпадает с настройками знакомого. А почему то у меня не отображается, а у него всё отлично((
Помогите плиз.

Аватар пользователя popovich popovich 1 июня 2010 в 20:46

Пробывал кстати ещё и знакомовский эдитор полностью к себе переносить, не помогло( Видимо чёт не настраиваю, а не пойму что, всё перерыл((

Аватар пользователя popovich popovich 2 июня 2010 в 11:06

может кто помочь? или посоветуйте подобный редактор, чтоб просто ставился, а не миллион настроек.

Аватар пользователя popovich popovich 2 июня 2010 в 20:00

щас ещё заметил, что если фск включен, то сделанное у знакомого и перенесённое ко мне, в таком же редакторе выравнено по центру, а если модуль отключить, то не работает. Значит он включен, почему же не отображается?